Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRAbstractExtendedIncrementer

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementer

All Implemented Interfaces:
  JRExtendedIncrementer, JRIncrementer

    public abstract class JRAbstractExtendedIncrementer

extends java.lang.Object
implements JRExtendedIncrementer

Base class for extended incrementers.

Version:
  $Id: JRAbstractExtendedIncrementer.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRAbstractExtendedIncrementer()`

Method Summary
`java.lang.Object` | `combine(JRCalculable calculable, JRCalculable calculableValue, AbstractValueProvider valueProvider)` This implementation calls `increment(calculable, calculableValue.getValue(), valueProvider)`.
`boolean` | `ignoresNullValues()` This implementation returns `true`.
`java.lang.Object` | `increment(JRFillVariable variable, java.lang.Object expressionValue, AbstractValueProvider valueProvider)` This implementation simply calls `increment(JRCalculable, Object, AbstractValueProvider)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.fill.JRExtendedIncrementer
`increment, initialValue`

Constructor Detail

### JRAbstractExtendedIncrementer

    public JRAbstractExtendedIncrementer()

Method Detail

### increment

    public java.lang.Object increment(JRFillVariable variable,
                                      java.lang.Object expressionValue,
                                      AbstractValueProvider valueProvider)
                               throws JRException

  This implementation simply calls `increment(JRCalculable, Object, AbstractValueProvider)`.

  Specified by:
    `increment` in interface `JRIncrementer`
  Throws:
    `JRException`

### combine

    public java.lang.Object combine(JRCalculable calculable,
                                    JRCalculable calculableValue,
                                    AbstractValueProvider valueProvider)
                             throws JRException

  This implementation calls `increment(calculable, calculableValue.getValue(), valueProvider)`.

  Specified by:
    `combine` in interface `JRExtendedIncrementer`
  Parameters:
    `calculable` - the first calculated value
    `calculableValue` - the second calculated value
    `valueProvider` - the value provider used for the helper variables
  Returns:
    the combined value
  Throws:
    `JRException`

### ignoresNullValues

    public boolean ignoresNullValues()

  This implementation returns `true`. Incrementer implementations can override this to specify that `null` values should not be ignored.

  Specified by:
    `ignoresNullValues` in interface `JRExtendedIncrementer`
  Returns:
    whether `null` values are ignored by this incrementer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com